#ifndef MAIN_H
#define MAIN_H
#include <windows.h>
//================================================================
// Returns number of elements
#define dim(x) (sizeof(x) / sizeof(x[0])) 
   
//----------------------------------------------------------------------
// Generic defines and data types
//
struct decodeUINT 
{                            // Structure associates
    UINT Code;                                 // messages 
                                               // with a function. 
    LRESULT (*Fxn)(HWND, UINT, WPARAM, LPARAM);
}; 
struct decodeCMD 
{                             // Structure associates
    UINT Code;                                 // menu IDs with a 
    LRESULT (*Fxn)(HWND, WORD, HWND, WORD);    // function.
};


//----------------------------------------------------------------------
// Generic defines used by application
#define		IDC_CMDBAR 1                        // Command bar ID
#define		IDM_NEWGAME 1000					// New game menu item ID

//----------------------------------------------------------------------
// Function prototypes
//
  
LRESULT DoCreateMain(HWND, UINT, WPARAM, LPARAM);
LRESULT DoLeftButton(HWND, UINT, WPARAM, LPARAM);
LRESULT DoKeyDown(HWND, UINT, WPARAM, LPARAM);
LRESULT DoMenuCommand(HWND, UINT, WPARAM, LPARAM);

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPTSTR lpCmdLine,	int nCmdShow);

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

#endif

