
#ifndef POINT_H
#define POINT_H

#include <GLES/gl.h>
#include <GLES/egl.h>

class Point3
{
public: 
	GLfixed x,y,z;
	void set(GLfixed dx, GLfixed dy, GLfixed dz) {x = dx; y = dy; z = dz;}
	void set(Point3& p) {x = p.x; y = p.y; z = p.z;} 	
	Point3(GLfixed xx, GLfixed yy, GLfixed zz) {x = xx; y = yy; z = zz;}
	Point3() {x = y = z = 0;}
	void build4tuple(GLfixed v[])
	{// load 4-tuple with this color: v[3] = 1 for homogeneous
		v[0] = x; v[1] = y; v[2] = z; v[3] = 1.0f;
	}	
};

#endif
